--- ./gdb/stack.c_orig	2016-04-29 06:04:04.000000000 -0500
+++ ./gdb/stack.c	2016-06-20 03:13:13.000000000 -0500
@@ -531,6 +531,7 @@
   struct ui_file *stb;
   /* True if we should print arguments, false otherwise.  */
   int print_args = strcmp (print_frame_arguments, "none");
+  int null_args = 0;
 
   stb = mem_fileopen ();
   old_chain = make_cleanup_ui_file_delete (stb);
@@ -607,6 +608,12 @@
 
 	      nsym = lookup_symbol (SYMBOL_LINKAGE_NAME (sym),
 				    b, VAR_DOMAIN, NULL);
+              /* if (!nsym) continue; */
+              if (!nsym)
+              {
+                  null_args = 1;
+                  goto printnull_args;
+              }
 	      gdb_assert (nsym != NULL);
 	      if (SYMBOL_CLASS (nsym) == LOC_REGISTER
 		  && !SYMBOL_IS_ARGUMENT (nsym))
@@ -687,7 +694,13 @@
 	  xfree (entryarg.error);
 
 	  first = 0;
-	}
+          printnull_args:
+            if (null_args == 1) {
+                null_args = 0;
+                ui_out_text (uiout, "NULL");
+                ui_out_wrap_hint (uiout, "    ");
+             }
+         }
     }
 
   /* Don't print nameless args in situations where we don't know
--- ./gdb/rs6000-tdep.c_orig	2016-06-20 03:28:24.000000000 -0500
+++ ./gdb/rs6000-tdep.c	2016-05-10 05:25:10.000000000 -0500
@@ -3206,6 +3206,9 @@
   if (fdata.frameless && !fdata.nosavedpc)
    fdata.frameless = 0;
 
+  if (!fdata.frameless && fdata.lr_offset == 0)
+     fdata.lr_offset = tdep->lr_frame_offset;
+
   if (!fdata.frameless)
     {
       /* Frameless really means stackless.  */
